<?php
// Template Name: template-about

get_header();
global $data;
?>

<section class="mid_wrap">

    <?php if ($data['ab_banner']==1){ ?>
        <style>
            .inner_h_title{ background:url(<?php echo $data['as_banner_img'] ; ?>) no-repeat center center; background-size:cover; min-height:280px; display:flex; align-items:center;}
            .inner_h_title .breadcrumb{ background:none; border-radius:0px; padding:0px; margin:0px;}
            .inner_h_title .breadcrumb li{ color:#0e073d; font-size:16px;}
            .inner_h_title .breadcrumb li a{ color:#0e073d;}
            .inner_h_title .breadcrumb-item + .breadcrumb-item::before{ content:"\f105"; font-family:'FontAwesome'; color:#0e073d;}
            .inner_h_title h1{ color:#0e073d;}

        </style>
    <div class="inner_h_title">
        <div class="container">
            <h1><?php echo $data['ab_banner_main_title']; ?></h1>
            <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
            <li class="breadcrumb-item active" style="color:<?php  echo $data['breadfontcolor']; ?>;font-size:<?php echo $data['breadfontsize']; ?>px;font-weight:<?php echo $data['breadfontweight']; ?>;line-height:32px;"><span style="color:<?php echo $data['breadfontcolor']; ?>;" aria-current="page"><?php get_breadcrumbs(); ?></li>
            </ol>
            </nav>

        </div>
    </div>
    <?php } ?>


    <div class="about_m_section bx_all_wrap">
        <div class="container">
            <?php if ($data['as_hist']==1){ ?>
            <div class="row align-items-center mb-5">
                <div class="col-md-7 order-md-2"><div class="about_img_sec1">
                        <div class="row">
                            <div class="col-6"><img src="<?php echo $data['as_hist_img1']; ?>" class="img_full"  alt="img"></div>

                            <div class="col-6"><img src="<?php echo $data['as_hist_img2']; ?>" class="img_full"  alt="img"></div>

                        </div>
                    </div>
                </div>

                <div class="col-md-5 order-md-1">
                    <div class="our_history  ">
                        <h2 class="font25 d-flex align-items-center justify-content-between mb-4"><?php echo $data['ab_history_title']; ?> <i><img src="<?php echo $data['as_hist_logo']; ?>" class="img-fluid"  alt="img"></i></h2>
                        <div class="drk_clr2 fw500 mb-3"><?php echo $data['ab_history_bold']; ?></div>
                        <p><?php echo $data['ab_history_desc']; ?></p>

                    </div>
                </div>
            </div>
            <?php } ?>

            <?php if ($data['as_prod']==1){ ?>
            <div class="row align-items-center mb-5 pt-5">
                <div class="col-md-5 ">
                    <img src="<?php echo $data['as_prod_img']; ?>" class="img_full"  alt="img"></div>

                <div class="col-md-7 ">
                    <div class="mega_productive">
                        <h2><?php echo $data['ab_prod_title']; ?></h2>
                        <p class=" font15"><?php echo $data['ab_prod_desc']; ?></p>

                        <ul>
                            <li>
                                <div class="rw d-flex align-items-center justify-content-between mb-3">
                                    <h6 class="m-0"><?php echo $data['ab_prod_title1']; ?></h6>
                                    <div class="perecent_mpw"><?php echo $data['ab_prod_num1']; ?>%</div>
                                </div>
                                <div class="progress"><div class="progress-bar" style="width:<?php echo $data['ab_prod_num1']; ?>%;"></div></div>
                            </li>

                            <li>
                                <div class="rw d-flex align-items-center justify-content-between mb-3">
                                    <h6 class="m-0"><?php echo $data['ab_prod_title2']; ?></h6>
                                    <div class="perecent_mpw"><?php echo $data['ab_prod_num2']; ?>%</div>
                                </div>
                                <div class="progress"><div class="progress-bar" style="width:<?php echo $data['ab_prod_num2']; ?>%;"></div></div>
                            </li>

                            <li>
                                <div class="rw d-flex align-items-center justify-content-between mb-3">
                                    <h6 class="m-0"><?php echo $data['ab_prod_title3']; ?></h6>
                                    <div class="perecent_mpw"><?php echo $data['ab_prod_num3']; ?>%</div>
                                </div>
                                <div class="progress"><div class="progress-bar" style="width:<?php echo $data['ab_prod_num3']; ?>%;"></div></div>
                            </li>

                            <li>
                                <div class="rw d-flex align-items-center justify-content-between mb-3">
                                    <h6 class="m-0"><?php echo $data['ab_prod_title4']; ?></h6>
                                    <div class="perecent_mpw"><?php echo $data['ab_prod_num4']; ?>%</div>
                                </div>
                                <div class="progress"><div class="progress-bar" style="width:<?php echo $data['ab_prod_num4']; ?>%;"></div></div>
                            </li>

                        </ul>

                    </div>


                </div>


            </div>
            <?php } ?>


            <?php if ($data['as_ach']==1){ ?>
            <div class="about_sec2">

                <div class="row align-items-center">
                    <div class="col-xl-3 col-lg-6 col-md-6 col-6">
                        <div class="as_cl">
                            <div class="row align-items-center">
                                <div class="col-md-4"><i><img src="<?php echo $data['ach_l1']; ?>" class=" img-fluid"  alt="img"></i></div>
                                <div class="col-md-8"><figcaption><div class="h2"><?php echo $data['ach_n1']; ?>+</div><p class="m-0"><?php echo $data['ach_t1']; ?></p></figcaption></div>

                            </div>

                        </div>

                    </div>

                    <div class="col-xl-3 col-lg-6 col-md-6 col-6">
                        <div class="as_cl">
                            <div class="row align-items-center">
                                <div class="col-md-4"><i><img src="<?php echo $data['ach_l2']; ?>" class=" img-fluid"  alt="img"></i></div>
                                <div class="col-md-8"><figcaption><div class="h2"><?php echo $data['ach_n2']; ?>+</div><p class="m-0"><?php echo $data['ach_t2']; ?></p><figcaption></div>

                            </div>

                        </div>

                    </div>

                    <div class="col-xl-3 col-lg-6 col-md-6 col-6">
                        <div class="as_cl">
                            <div class="row align-items-center">
                                <div class="col-md-4"><i><img src="<?php echo $data['ach_l3']; ?>" class=" img-fluid"  alt="img"></i></div>
                                <div class="col-md-8"><figcaption><div class="h2"><?php echo $data['ach_n3']; ?>+</div><p class="m-0"><?php echo $data['ach_t3']; ?></p><figcaption></div>

                            </div>

                        </div>

                    </div>

                    <div class="col-xl-3 col-lg-6 col-md-6 col-6">
                        <div class="as_cl">
                            <div class="row align-items-center">
                                <div class="col-md-4"><i><img src="<?php echo $data['ach_l4']; ?>" class=" img-fluid"  alt="img"></i></div>
                                <div class="col-md-8"><figcaption><div class="h2"><?php echo $data['ach_n4']; ?>+</div><p class="m-0"><?php echo $data['ach_t4']; ?></p></figcaption></div>

                            </div>

                        </div>

                    </div>


                </div>

            </div>
            <?php } ?>

        </div>
    </div>

    <?php if ($data['show_team_as']==1){ ?>
    <div class="teamexpert bx_all_wrap pt-0 ">
        <div class="container">
            <div class="mid_title_t beforenone text-center mb-5 pb-4">
                <h2 class="mb-0"><span><?php echo $data['team_title_as']; ?></span>  </h2>
                <p class="font16  m-0"><?php echo $data['team_desc_as']; ?> </p>

            </div>

            <div class="row">
                <?php
                $slides = $data['pingu_team'];
                if(is_array($slides) > 0)
                {
                    $slider_i = 0;
                    foreach ($slides as $slide)
                    {
                        // print_r($slide);exit;
                        $title = $slide['title'];
                        $thumbnail = $slide['url'];
                        $link = $slide['link'];
                        $fb_link = $slide['fb_link'];
                        $insta_link = $slide['insta_link'];
                        $tw_link = $slide['tw_link'];
                        $description = $slide['description'];
                        if(!empty($thumbnail))
                        {


                            ?>


                            <div class="col-md-3">
                                <div class="team_cl ">
                                    <figure class="m-0 p-0"><img src="<?php echo $thumbnail ?>" class="img_full" alt="img">
                                        <div class="overlay">
                                            <?php if(!empty($fb_link)){?>
                                            <a href="<?php echo $fb_link; ?>"><i class="fa fa-facebook-f"></i></a>
                                            <?php } 
                                            if(!empty($tw_link)){?> 
                                            <a href="<?php echo $tw_link; ?>"><i class="fa fa-twitter"></i></a>
                                            <?php }
                                            if(!empty($insta_link)){ ?>
                                            <a href="<?php echo $insta_link; ?>"><i class="fa fa-instagram"></i></a>
                                            <?php } ?>
                                        </div>
                                    </figure>
                                    <figcaption>
                                        <h5><?php echo $title ?></h5>
                                        <p class="m-0"><?php echo $description ?></p>
                                    </figcaption>

                                </div>


                            </div>

                            <?php

                            $slider_i ++;
                        }
                    }
                }
                ?>


            </div>

            <!--            <div class="row">-->
<!--                <div class="col-md-3">-->
<!--                    <div class="team_cl ">-->
<!--                        <figure class="m-0 p-0"><img src="--><?php //bloginfo('stylesheet_directory'); ?><!--/images/team1.jpg" class="img_full" alt="img">-->
<!--                            <div class="overlay"><a href=""><i class="fa fa-facebook-f"></i></a><a href=""><i class="fa fa-twitter"></i></a><a href=""><i class="fa fa-instagram"></i></a></div>-->
<!--                        </figure>-->
<!--                        <figcaption>-->
<!--                            <h5>Sia Josephine</h5>-->
<!--                            <p class="m-0">Make up specialist</p>-->
<!--                        </figcaption>-->
<!---->
<!--                    </div>-->
<!---->
<!---->
<!--                </div>-->
<!---->
<!--                <div class="col-md-3">-->
<!--                    <div class="team_cl ">-->
<!--                        <figure class="m-0 p-0"><img src="--><?php //bloginfo('stylesheet_directory'); ?><!--/images/team2.jpg" class="img_full" alt="img">-->
<!--                            <div class="overlay"><a href=""><i class="fa fa-facebook-f"></i></a><a href=""><i class="fa fa-twitter"></i></a><a href=""><i class="fa fa-instagram"></i></a></div>-->
<!--                        </figure>-->
<!--                        <figcaption>-->
<!--                            <h5>Sia Josephine</h5>-->
<!--                            <p class="m-0">Make up specialist</p>-->
<!--                        </figcaption>-->
<!---->
<!--                    </div>-->
<!---->
<!---->
<!--                </div>-->
<!---->
<!--                <div class="col-md-3">-->
<!--                    <div class="team_cl ">-->
<!--                        <figure class="m-0 p-0"><img src="--><?php //bloginfo('stylesheet_directory'); ?><!--/images/team3.jpg" class="img_full" alt="img">-->
<!--                            <div class="overlay"><a href=""><i class="fa fa-facebook-f"></i></a><a href=""><i class="fa fa-twitter"></i></a><a href=""><i class="fa fa-instagram"></i></a></div>-->
<!--                        </figure>-->
<!--                        <figcaption>-->
<!--                            <h5>Sia Josephine</h5>-->
<!--                            <p class="m-0">Make up specialist</p>-->
<!--                        </figcaption>-->
<!---->
<!--                    </div>-->
<!---->
<!---->
<!--                </div>-->
<!---->
<!---->
<!--                <div class="col-md-3">-->
<!--                    <div class="team_cl ">-->
<!--                        <figure class="m-0 p-0"><img src="--><?php //bloginfo('stylesheet_directory'); ?><!--/images/team4.jpg" class="img_full" alt="img">-->
<!--                            <div class="overlay"><a href=""><i class="fa fa-facebook-f"></i></a><a href=""><i class="fa fa-twitter"></i></a><a href=""><i class="fa fa-instagram"></i></a></div>-->
<!--                        </figure>-->
<!--                        <figcaption>-->
<!--                            <h5>Sia Josephine</h5>-->
<!--                            <p class="m-0">Make up specialist</p>-->
<!--                        </figcaption>-->
<!---->
<!--                    </div>-->
<!---->
<!---->
<!--                </div>-->
<!---->
<!--            </div>-->

        </div>
    </div>
    <?php } ?>
    <?php if ($data['show_as_partner']==1){ ?>
    <div class="spalogo partner bx_all_wrap pt-0">
        <div class="container text-center">
            <div class="top_h text-center mb-5 pb-2">
                <div class="row">
                    <div class="col-xl-9 col-lg-10 col-md-12 m-auto">
                        <h2 class="mb-3 mt-3 pb-2 "><i><img src="<?php echo $data['part_logo']; ?>"></i> <?php echo $data['part_title']; ?> </h2>
                        <p class="m-0 font16 lh28"><?php echo $data['part_desc']; ?></p>

                    </div>


                </div>
            </div>

            <div class="clearfix"></div>

            <ul>

                <?php
                $slides = $data['partner_is'];
                if(is_array($slides) > 0)
                {
                $slider_i = 0;
                foreach ($slides as $slide)
                {
                // print_r($slide);exit;
                $title = $slide['title'];
                $thumbnail = $slide['url'];
                $link = $slide['link'];
                $description = $slide['description'];
                if(!empty($thumbnail))
                {


                ?>


                <li><a href="#"><img src="<?php echo $thumbnail; ?>" class="img-fluid" alt="img"></a></li>

                    <?php

                    $slider_i ++;
                }
                }
                }
                ?>
            </ul>


        </div>

    </div>
    <?php } ?>

</section>


<?php
get_footer();
?>
