<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{


		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/

		//More Options
		$uploads_arr = wp_upload_dir();
		$all_uploads_path = $uploads_arr['path'];
		$all_uploads = get_option('of_uploads');
		$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

		$of_options_select = array("one","two","three","four","five");

		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center");

		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post");
		$skill = array("Select Percentage : ","50","55","60","65","70","75","80","85","89","94","97","98","99","100");

		$autoresponder_list = array(
       '0'=>'- Choose Your Mailer -',
       '3'=>'GetResponse',
       '1'=>'Aweber',
       '2'=>'MailChimp',
      );

/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();

$url =  ADMIN_DIR . 'assets/images/';




/* ------------------------------------------------------------------------ */
/* Header
/* ------------------------------------------------------------------------ */
$of_options[] = array( "name" => "Header",
					"type" => "heading");


		$of_options[] = array(
			"name" => "",
			"desc" => "",
			"id" => "page_titleinfo",
			"std" => "Page Title",
			"type" => "info"
		);

		$of_options[] = array(
			"name" => "Page tittle",
			"desc" => "Enter title",
			"id" => "page_title",
			"std" => "Page Title",
			"type" => "text"
		);


$of_options[] = array( "name" => "",
					"desc" => "",
					"id" => "general_heading",
					"std" => "General Logo & Favicon",
					"icon" => false,
					"type" => "info");

$of_options[] = array( "name" => "Logo Upload(178x48)",
					"desc" => "Upload your logo",
					"id" => "media_logo",
					"std" => "",
					"mod" => "min",
					"type" => "media");

$of_options[] = array( "name" => "Custom Favicon(16x16)",
					"desc" => "Upload your Favicon (16x16px ico/png - use <a href='http://www.favicon.cc/' target='_blank'>favicon.cc</a> to make sure it's fully compatible)",
					"id" => "media_fav",
					"std" => "",
					"mod" => "min",
					"type" => "media");


		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "general_heading",
			"std" => "Address On header",
			"icon" => false,
			"type" => "info");

		$of_options[] = array(
			"name" => "Show Address on Header",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_add",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array(
			"name" => "Header tittle",
			"desc" => "Enter title",
			"id" => "head_title",
			"std" => "Header Title",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Address heading",
			"desc" => "Address heading",
			"id" => "add_head",
			"std" => "Address heading",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Address Line 1 ",
			"desc" => "Address ",
			"id" => "add",
			"std" => "Address ",
			"type" => "text"
		);



/* ------------------------------------------------------------------------ */
/* End HEADER
/* ------------------------------------------------------------------------ */




/* ------------------------------------------------------------------------ */
/* Home Page General
/* ------------------------------------------------------------------------ */
$of_options[] = array( "name" => "Home Page",
					"type" => "heading");





$of_options[] = array( "name" => "",
					"desc" => "",
					"id" => "Home_2_section",
					"std" => "Home Page section",
					"icon" => false,
					"type" => "info");




		$of_options[] = array(
			"name" => "Show Slider on Homepage",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_slider",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array( "name" => " Slider Image(536x596px) ",
			"desc" => "Upload your Image (536x596px ico/png )",
			"id" => "slider_1",

			"type" => "slider");
		$of_options[] = array( 	"name" 		=> "Adjust slide speed for the slider",
			"desc" 		=> "for adjusting speed increase or decrease the value.for example,for lesser speed enter 5000 ,for more speed enter 500",
			"id" 		=> "slider_speed_dur",
			"std" 		=> "500",
			"type" 		=> "text"


		);

		$of_options[] = array( 	"name" 		=> "Adjust slide Pause for the slider",
			"desc" 		=> "for adjusting speed increase or decrease the value.for example,for lesser speed enter 5000 ,for more speed enter 500",
			"id" 		=> "slider_pause_dur",
			"std" 		=> "4000",
			"type" 		=> "text"


		);


		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "tools_section",
			"std" => "Services",
			"icon" => false,
			"type" => "info");

		$of_options[] = array(
			"name" => "Show Services on Homepage",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_ser",
			"std" => 0,
			"type" => "checkbox"
		);


		//About us
		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "About us section",
			"icon" => false,
			"type" => "info");
		$of_options[] = array(
			"name" => "Show About US on Homepage",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_as",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array( "name" => "About Us image 1",
			"desc" => "About Us image 1",
			"id" => "as_img1",
			"std" => "",
			"mod" => "min",
			"type" => "media");
		$of_options[] = array( "name" => "About Us image2",
			"desc" => "About Us image 2",
			"id" => "as_img2",
			"std" => "",
			"mod" => "min",
			"type" => "media");
		$of_options[] = array( "name" => "About Us image 3",
			"desc" => "About Us image 3",
			"id" => "as_img3",
			"std" => "",
			"mod" => "min",
			"type" => "media");

		$of_options[] = array(
			"name" => "Total Customer Count",
			"desc" => "Enter the Number.",
			"id" => "as_num",
			"std" => "enter number ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Text",
			"desc" => "Enter the Text.",
			"id" => "as_text",
			"std" => "enter Text ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "About Us section Tittle",
			"desc" => "Enter the Tittle.",
			"id" => "as_title",
			"std" => "enter tittle ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "About Us section Description",
			"desc" => "Enter the Description.",
			"id" => "as_desc",
			"std" => "enter description ",
			"type" => "textarea"
		);

		$of_options[] = array(
			"name" => "About Us Service list 1",
			"desc" => "Enter the service list 1.",
			"id" => "as_list1",
			"std" => "enter service ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "About Us Servie list 2",
			"desc" => "Enter the service list 2",
			"id" => "as_list2",
			"std" => "enter service ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "About Us service list 3",
			"desc" => "Enter the service list 3",
			"id" => "as_list3",
			"std" => "enter service ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "About Us service list 4",
			"desc" => "Enter the service list4.",
			"id" => "as_list4",
			"std" => "enter service ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "About Us service list 5",
			"desc" => "Enter the service list 5",
			"id" => "as_list5",
			"std" => "enter service ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "About Us Button name",
			"desc" => "Enter the text for button",
			"id" => "as_but",
			"std" => "enter name for button ",
			"type" => "text"
		);

		$of_options[] = array( "name" => "Enter about us button image",
			"desc" => "Upload about us  Image",
			"id" => "as_btn_img",
			"std" => "",
			"mod" => "min",
			"type" => "media");




		//our products
		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Products section",
			"icon" => false,
			"type" => "info");
		$of_options[] = array(
			"name" => "Show Products on Homepage",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_product",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "Products Tittle",
			"desc" => "Enter the Tittle for Products",
			"id" => "pro_title",
			"std" => "enter title ",
			"type" => "text"
		);





		//Photo gallery
		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Photo Gallery ",
			"icon" => false,
			"type" => "info"
		);
		$of_options[] = array(
			"name" => "Show Photo gallery on Homepage",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_photo",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array(
			"name" => "Photo gallery title",
			"desc" => "Enter the photo gallery Tittle",
			"id" => "photo_tittle",
			"std" => "enter tittle ",
			"type" => "text"
		);


		//My team
		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "My Team ",
			"icon" => false,
			"type" => "info"
		);
		$of_options[] = array(
			"name" => "Show My Teams on Homepage",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_team",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "My team Title",
			"desc" => "Enter the My Team Tittle",
			"id" => "team_title",
			"std" => "enter tittle ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "My team Description",
			"desc" => "Enter the My Team Description",
			"id" => "team_desc",
			"std" => "enter description ",
			"type" => "text"
		);


		//Testimonials
		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Testimonial ",
			"icon" => false,
			"type" => "info"
		);
		$of_options[] = array(
			"name" => "Show Testimonial on Homepage",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_test_spa",
			"std" => 0,
			"type" => "checkbox"
		);



		//Our blogs
		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Blogs ",
			"icon" => false,
			"type" => "info"
		);
		$of_options[] = array(
			"name" => "Show Blogs on Homepage",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_blogs",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "Enter blog title",
			"desc" => "Enter the title of our blogs",
			"id" => "blog_title",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Enter blog Description",
			"desc" => "Enter the Description of our blogs",
			"id" => "blog_desc",
			"std" => "enter desc ",
			"type" => "textarea"
		);

		$of_options[] = array( 
					"name" => "Total Blog on home Page",
					"desc" => "If null Default is 3",
					"id" => "home_blogs",
					"std" => "",
					"type" => "text"
				);


		//Spa logos
		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Spa Partners ",
			"icon" => false,
			"type" => "info"
		);
		$of_options[] = array(
			"name" => "Show Spa Partners on Homepage",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_logo",
			"std" => 0,
			"type" => "checkbox"
		);

		//subscribe form

		$of_options[] = array( "name" => "Enable subscribe form Home Page",
					"desc" => "Check to show subscribe form Home Page.",
					"id" => "check_blogsubscribe",
					"std" => 1,
					"type" => "checkbox");





		/* ------------------------------------------------------------------------ */
		/* Blogs
        /* ------------------------------------------------------------------------ */

		$of_options[] = array( "name" => "Blog",
			"type" => "heading");

		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Blogs ",
			"icon" => false,
			"type" => "info"
		);

		$of_options[] = array(
			"name" => "Show Blog Banner Image",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "blog_banner",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array( "name" => "Enter Blog Banner image",
			"desc" => "Upload Blog Banner  Image",
			"id" => "blog_banner_img",
			"std" => "",
			"mod" => "min",
			"type" => "media");
		$of_options[] = array(
			"name" => "Blog Banner Main Tittle",
			"desc" => "Enter the Blog Banner Main Tittle",
			"id" => "blog_banner_main_title",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Blog Banner SubTitle 1",
			"desc" => "Enter the Blog Banner Main Tittle",
			"id" => "blog_banner_main_title1",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Blog Banner SubTitle 2",
			"desc" => "Enter the Blog Banner Main Tittle",
			"id" => "blog_banner_main_title2",
			"std" => "enter Title ",
			"type" => "text"
		);


		$of_options[] = array(
			"name" => "Show More article on blog page",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "blog_la",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "More Article title",
			"desc" => "Enter the More Article title",
			"id" => "blog_ra1",
			"std" => "enter Title ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Show tags under blog",
			"desc" => "<strong>Be careful:</strong> if This is checked then display tags under blogs.",
			"id" => "show_tags",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array(
			"name" => "Show social media under blog",
			"desc" => "<strong>Be careful:</strong> if This is checked then display social media under blogs.",
			"id" => "show_social_media",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array( "name" => "Enable subscribe form Blog Page",
					"desc" => "Check to show subscribe form Blog Page.",
					"id" => "check_blogsubscribe",
					"std" => 1,
					"type" => "checkbox");




		/* ------------------------------------------------------------------------ */
		/* About Us Page
        /* ------------------------------------------------------------------------ */

		$of_options[] = array( "name" => "About Us Page",
			"type" => "heading",
			);

		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "About US ",
			"icon" => false,
			"type" => "info"
		);

		$of_options[] = array(
			"name" => "Show About Banner Image",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "ab_banner",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array( "name" => "Enter About Us Banner image",
			"desc" => "Upload About Us Banner  Image",
			"id" => "as_banner_img",
			"std" => "",
			"mod" => "min",
			"type" => "media");
		$of_options[] = array(
			"name" => "About Us Banner Main Tittle",
			"desc" => "Enter the About us Banner Main Tittle",
			"id" => "ab_banner_main_title",
			"std" => "enter Link ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "About Us Banner SubTitle 1",
			"desc" => "Enter the About us Banner Main Tittle",
			"id" => "ab_banner_main_title1",
			"std" => "enter Link ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "About Us Banner SubTitle 2",
			"desc" => "Enter the About us Banner Main Tittle",
			"id" => "ab_banner_main_title2",
			"std" => "enter Link ",
			"type" => "text"
		);




		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "History ",
			"icon" => false,
			"type" => "info"
		);
		$of_options[] = array(
			"name" => "Show History ",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "as_hist",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "About Us History Tittle",
			"desc" => "Enter the About us History Tittle",
			"id" => "ab_history_title",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array( "name" => "Enter logo besides History tittle",
			"desc" => "Upload logo besides History tittle",
			"id" => "as_hist_logo",
			"std" => "",
			"mod" => "min",
			"type" => "media");
		$of_options[] = array(
			"name" => "About Us History Bold Tittle",
			"desc" => "Enter the About us History Bold Tittle",
			"id" => "ab_history_bold",
			"std" => "enter title ",
			"type" => "textarea"
		);
		$of_options[] = array(
			"name" => "About Us History Description",
			"desc" => "Enter the About us History Description",
			"id" => "ab_history_desc",
			"std" => "enter Description ",
			"type" => "textarea"
		);

		$of_options[] = array( "name" => "Enter Image for history 1",
			"desc" => "Upload Image 1 History",
			"id" => "as_hist_img1",
			"std" => "",
			"mod" => "min",
			"type" => "media");
		$of_options[] = array( "name" => "Enter Image for history 2",
			"desc" => "UploadImage 1 history",
			"id" => "as_hist_img2",
			"std" => "",
			"mod" => "min",
			"type" => "media");



		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Production Area ",
			"icon" => false,
			"type" => "info"
		);
		$of_options[] = array(
			"name" => "Show Production Area ",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "as_prod",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array( "name" => "Enter Image for Production",
			"desc" => "Upload Image for producion",
			"id" => "as_prod_img",
			"std" => "",
			"mod" => "min",
			"type" => "media");
		$of_options[] = array(
			"name" => "Production Tittle",
			"desc" => "Enter the Production Tittle",
			"id" => "ab_prod_title",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Production Description",
			"desc" => "Enter the Production Description",
			"id" => "ab_prod_desc",
			"std" => "enter Description ",
			"type" => "textarea"
		);

		$of_options[] = array(
			"name" => "Progress Title 1 ",
			"desc" => "Enter the progress Tittle 1",
			"id" => "ab_prod_title1",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Progress Growth number 1",
			"desc" => "Enter the progress growth number 1",
			"id" => "ab_prod_num1",
			"std" => "enter num ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Progress Title 2",
			"desc" => "Enter the progress Tittle 2",
			"id" => "ab_prod_title2",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Progress Growth number 2",
			"desc" => "Enter the progress growth number",
			"id" => "ab_prod_num2",
			"std" => "enter num ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Progress Title 3",
			"desc" => "Enter the progress Tittle 3",
			"id" => "ab_prod_title3",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Progress Growth number 3",
			"desc" => "Enter the progress growth number 3",
			"id" => "ab_prod_num3",
			"std" => "enter num ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Progress Title 4",
			"desc" => "Enter the progress Tittle 4",
			"id" => "ab_prod_title4",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Progress Growth number 4",
			"desc" => "Enter the progress growth number 4",
			"id" => "ab_prod_num4",
			"std" => "enter num ",
			"type" => "text"
		);



		//achievement
		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Achievements ",
			"icon" => false,
			"type" => "info"
		);

		$of_options[] = array(
			"name" => "Show My Achievements in about us page",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "as_ach",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array(
			"name" => "Achievement Title 1",
			"desc" => "Enter Tittle 1",
			"id" => "ach_t1",
			"std" => "enter tittle ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Achievement Title Number 1",
			"desc" => "Enter Tittle Number 1",
			"id" => "ach_n1",
			"std" => "enter num ",
			"type" => "text"
		);
		$of_options[] = array( "name" => "Enter Achievement Logo",
			"desc" => "Upload logo",
			"id" => "ach_l1",
			"std" => "",
			"mod" => "min",
			"type" => "media");


		$of_options[] = array(
			"name" => "Achievement Title 2",
			"desc" => "Enter Tittle 2",
			"id" => "ach_t2",
			"std" => "enter tittle ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Achievement Title Number 2",
			"desc" => "Enter Tittle Number 2",
			"id" => "ach_n2",
			"std" => "enter num ",
			"type" => "text"
		);
		$of_options[] = array( "name" => "Enter Achievement Logo",
			"desc" => "Upload logo",
			"id" => "ach_l2",
			"std" => "",
			"mod" => "min",
			"type" => "media");



		$of_options[] = array(
			"name" => "Achievement Title 3",
			"desc" => "Enter Tittle 3",
			"id" => "ach_t3",
			"std" => "enter tittle ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Achievement Title Number 3",
			"desc" => "Enter Tittle Number 3",
			"id" => "ach_n3",
			"std" => "enter num ",
			"type" => "text"
		);
		$of_options[] = array( "name" => "Enter Achievement Logo",
			"desc" => "Upload logo",
			"id" => "ach_l3",
			"std" => "",
			"mod" => "min",
			"type" => "media");


		$of_options[] = array(
			"name" => "Achievement Title 4",
			"desc" => "Enter Tittle 4",
			"id" => "ach_t4",
			"std" => "enter tittle ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Achievement Title Number 4",
			"desc" => "Enter Tittle Number 4",
			"id" => "ach_n4",
			"std" => "enter num ",
			"type" => "text"
		);
		$of_options[] = array( "name" => "Enter Achievement Logo",
			"desc" => "Upload logo",
			"id" => "ach_l4",
			"std" => "",
			"mod" => "min",
			"type" => "media");










		//My team in about us
		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "My Team ",
			"icon" => false,
			"type" => "info"
		);
		$of_options[] = array(
			"name" => "Show My Teams on About US",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_team_as",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "My team Title",
			"desc" => "Enter the My Team Tittle",
			"id" => "team_title_as",
			"std" => "enter tittle ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "My team Description",
			"desc" => "Enter the My Team Description",
			"id" => "team_desc_as",
			"std" => "enter description ",
			"type" => "textarea"
		);




		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Partners ",
			"icon" => false,
			"type" => "info"
		);

		$of_options[] = array(
			"name" => "Show Partners section",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_as_partner",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "partners Tittle",
			"desc" => "Enter the Partner section title",
			"id" => "part_title",
			"std" => "enter Title ",
			"type" => "text"
		);
		$of_options[] = array( "name" => "Enter Logo to left of title",
			"desc" => "Upload logo",
			"id" => "part_logo",
			"std" => "",
			"mod" => "min",
			"type" => "media");
		$of_options[] = array(
			"name" => "partners Description",
			"desc" => "Enter the Partner section Description",
			"id" => "part_desc",
			"std" => "enter Description ",
			"type" => "textarea"
		);


		$of_options[] = array( "name" => "Partners",
			"type" => "heading");
		$of_options[] = array( "name" => "Enter Partner Images(83x97px)",
			"desc" => "Upload your Favicon (83x97px ico/png )",
			"id" => "partner_is",
			"std" => "",
			"type" => "slider");















		/* ------------------------------------------------------------------------ */
		/* Footer
        /* ------------------------------------------------------------------------ */

		$of_options[] = array( "name" => "Footer",
					"type" => "heading");


		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Footer ",
			"icon" => false,
			"type" => "info"
		);

		$of_options[] = array(
			"name" => "Show About Us on Footer",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_as_footer",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array( "name" => "Enter About Us image",
			"desc" => "Upload About Us  Image",
			"id" => "as_footer_img",
			"std" => "",
			"mod" => "min",
			"type" => "media");

		$of_options[] = array(
			"name" => "About Us Description",
			"desc" => "Enter the About us description",
			"id" => "as_footer_desc",
			"std" => "enter title ",
			"type" => "textarea"
		);
		$of_options[] = array(
			"name" => "About Us Twitter Link",
			"desc" => "Enter the About us Twitter link",
			"id" => "as_footer_tw",
			"std" => "enter Link ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "About Us Pinterest Link",
			"desc" => "Enter the About us Pinterest link",
			"id" => "as_footer_pin",
			"std" => "enter Link ",
			"type" => "text"
		);

		$of_options[] = array(
		"name" => "About Us Telegram Link",
		"desc" => "Enter the About us Telegram link",
		"id" => "as_footer_tel",
		"std" => "enter Link ",
		"type" => "text"
	);

		//contact us

		$of_options[] = array(
			"name" => "Show Contact Us on Footer",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_cs_footer",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "Contact Us Tittle",
			"desc" => "Enter the Contact us Title",
			"id" => "cs_footer_title",
			"std" => "enter Title ",
			"type" => "text"
		);


		$of_options[] = array(
			"name" => "Contact Us Address line 1",
			"desc" => "Enter the Contact us Address",
			"id" => "cs_footer_add",
			"std" => "enter Title ",
			"type" => "text"
		);


		//category
		$of_options[] = array(
			"name" => "Show Category on Footer",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_cat_footer",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "Category Tittle",
			"desc" => "Enter the Category Title",
			"id" => "cat_footer_title",
			"std" => "enter Title ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Category 1",
			"desc" => "Enter the Category Title 1",
			"id" => "cat_footer_title1",
			"std" => "enter Title ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Category 1 Link ",
			"desc" => "Enter the Category URL 1 ",
			"id" => "cat1_url",
			"std" => " ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Category 2",
			"desc" => "Enter the Category Title 2",
			"id" => "cat_footer_title2",
			"std" => "enter Title ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Category 2 Link ",
			"desc" => "Enter the Category URL 2 ",
			"id" => "cat2_url",
			"std" => " ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Category 3",
			"desc" => "Enter the Category Title 3",
			"id" => "cat_footer_title3",
			"std" => "enter Title ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Category  Link ",
			"desc" => "Enter the Category URL 3 ",
			"id" => "cat3_url",
			"std" => " ",
			"type" => "text"
		);

		//copyright
		$of_options[] = array(
			"name" => "Show Copyright Text on Footer",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_copy_footer",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array(
			"name" => "Copyright TEXT",
			"desc" => "Enter the Copyright text",
			"id" => "copy_footer_title3",
			"std" => "enter Text ",
			"type" => "text"
		);





		/* ------------------------------------------------------------------------ */
		/* Services
        /* ------------------------------------------------------------------------ */

		$of_options[] = array( "name" => "Service page",
			"type" => "heading");


		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Service Banner Information ",
			"icon" => false,
			"type" => "info"
		);

		$of_options[] = array(
			"name" => "Show Banner section in service page",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_banner_img_ser",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array( "name" => "Enter About Us Banner image",
			"desc" => "Upload About Us Banner  Image",
			"id" => "ser_banner_img",
			"std" => "",
			"mod" => "min",
			"type" => "media");
		$of_options[] = array(
			"name" => "About Us Banner Main Tittle",
			"desc" => "Enter the About us Banner Main Tittle",
			"id" => "ser_banner_main_title",
			"std" => "enter Link ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "About Us Banner SubTitle 1",
			"desc" => "Enter the About us Banner Main Tittle",
			"id" => "ser_banner_main_title1",
			"std" => "enter Link ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "About Us Banner SubTitle 2",
			"desc" => "Enter the About us Banner Main Tittle",
			"id" => "ser_banner_main_title2",
			"std" => "enter Link ",
			"type" => "text"
		);


		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Our services ",
			"icon" => false,
			"type" => "info"
		);

		$of_options[] = array(
			"name" => "Show Our services in service page",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "show_ser",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "Services Title",
			"desc" => "Enter the services  Tittle",
			"id" => "ser-title",
			"std" => "enter Link ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Services Description",
			"desc" => "Enter the services  Description",
			"id" => "ser-desc",
			"std" => "enter description ",
			"type" => "textarea"
		);

		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => " service 1",
			"icon" => false,
			"type" => "info"
		);


		$of_options[] = array( 	"name" 		=> "",

			"desc" => "Upload your Favicon (120x90px ico/png)",
			"id" 		=> "pingu_services",
			"std" 		=> "",
			"type" 		=> "slider"

		);





		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Products section",
			"icon" => false,
			"type" => "info");

		$of_options[] = array(
			"name" => "Show Products on Services page",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "ser_product",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array(
			"name" => "Products Tittle",
			"desc" => "Enter the Tittle for Products",
			"id" => "ser_pro_title",
			"std" => "enter title ",
			"type" => "text"
		);



		//Timings
		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Timing section",
			"icon" => false,
			"type" => "info");

		$of_options[] = array(
			"name" => "Show Timings on Services page",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "ser_timing",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array( "name" => "Timing section image 1",
			"desc" => "Upload Image 1",
			"id" => "time_img1",
			"std" => "",
			"mod" => "min",
			"type" => "media"
		);
		$of_options[] = array( "name" => "Timing section image 2",
			"desc" => "Upload Image 3",
			"id" => "time_img2",
			"std" => "",
			"mod" => "min",
			"type" => "media"
		);
		$of_options[] = array( "name" => "Timing section image 3",
			"desc" => "Upload Image 3",
			"id" => "time_img3",
			"std" => "",
			"mod" => "min",
			"type" => "media"
		);
		$of_options[] = array(
			"name" => "Timing Title",
			"desc" => "Enter the Tittle for timing",
			"id" => "time-title",
			"std" => "enter title ",
			"type" => "text"
		);



		$of_options[] = array(
			"name" => "Timing Row 1 days",
			"desc" => "Enter the Timing Row 1 days",
			"id" => "time-day1",
			"std" => "enter text ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Timing Row 1 time",
			"desc" => "Enter the Timing Row 1 time",
			"id" => "time-time1",
			"std" => "enter time ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Timing Row 2 days",
			"desc" => "Enter the Timing Row 2 days",
			"id" => "time-day2",
			"std" => "enter text ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Timing Row 2 time",
			"desc" => "Enter the Timing Row 2 time",
			"id" => "time-time2",
			"std" => "enter time ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Timing Row 3 days",
			"desc" => "Enter the Timing Row 3 days",
			"id" => "time-day3",
			"std" => "enter text ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Timing Row 3 time",
			"desc" => "Enter the Timing Row 3 time",
			"id" => "time-time3",
			"std" => "enter time ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Timing Row 4 days",
			"desc" => "Enter the Timing Row4 days",
			"id" => "time-day4",
			"std" => "enter text ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Timing Row 4 time",
			"desc" => "Enter the Timing Row 4 time",
			"id" => "time-time4",
			"std" => "enter time ",
			"type" => "text"
		);





		/* ------------------------------------------------------------------------ */
		/* Contact Us
        /* ------------------------------------------------------------------------ */

		$of_options[] = array( "name" => "Contact Us",
			"type" => "heading");

		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Contact US ",
			"icon" => false,
			"type" => "info"
		);

		$of_options[] = array(
			"name" => "Show Contact US Banner Image",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "con_banner",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array( "name" => "Enter About Us Banner image",
			"desc" => "Upload Contact Us Banner  Image",
			"id" => "con_banner_img",
			"std" => "",
			"mod" => "min",
			"type" => "media");
		$of_options[] = array(
			"name" => "Contact Us Banner Main Tittle",
			"desc" => "Enter the Contact us Banner Main Tittle",
			"id" => "con_banner_main_title",
			"std" => "enter Link ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Contact Us Banner SubTitle 1",
			"desc" => "Enter the Contact us Banner Main Tittle",
			"id" => "con_banner_main_title1",
			"std" => "enter Link ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Contact Us Banner SubTitle 2",
			"desc" => "Enter the About us Banner Main Tittle",
			"id" => "con_banner_main_title2",
			"std" => "enter Link ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Contact Form",
			"type" => "info"
		);
		$of_options[] = array(
			"name" => "Show Contact Form on Contact page",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "con_form",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "Contact Us form tittle",
			"desc" => "Enter the Contact us Form Tittle",
			"id" => "con_title",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Contact Us form Description",
			"desc" => "Enter the Contact us Form Description",
			"id" => "con_desc",
			"std" => "enter description",
			"type" => "textarea"
		);
		$of_options[] = array(
			"name" => "Contact Us form Submit button name",
			"desc" => "Enter the button name",
			"id" => "but_title",
			"std" => "enter title ",
			"type" => "text"
		);


		$of_options[] = array(
			"name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Address",
			"type" => "info"
		);
		$of_options[] = array(
			"name" => "Show Map on Contact page",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "map_con",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "Address on map",
			"desc" => "Enter the Address to show on map",
			"id" => "con_map",
			"std" => "enter address ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Contact Us Address title",
			"desc" => "Enter the Address title",
			"id" => "con_add_title",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array( "name" => "Enter Contact Us Address logo",
			"desc" => "Upload Contact Us Address logo",
			"id" => "con_add_logo",
			"std" => "",
			"mod" => "min",
			"type" => "media"
		);

		$of_options[] = array(
			"name" => "Contact Us Address Description",
			"desc" => "Enter the Address Description",
			"id" => "con_add_desc",
			"std" => "enter description ",
			"type" => "textarea"
		);
		$of_options[] = array(
			"name" => "Contact Us Mobile Numbers title",
			"desc" => "Enter the Mobile number title",
			"id" => "con_mob_title",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array( "name" => "Enter Contact Us Mobile logo",
			"desc" => "Upload Contact Us Mobile logo",
			"id" => "con_mob_logo",
			"std" => "",
			"mod" => "min",
			"type" => "media"
		);

		$of_options[] = array(
			"name" => "Contact Us Mobile number 1",
			"desc" => "Enter the Mobile number 1",
			"id" => "con_mob1_desc",
			"std" => "enter mobile number ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Contact Us Mobile number 2",
			"desc" => "Enter the Mobile number 2",
			"id" => "con_mob2_desc",
			"std" => "enter mobile number ",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Contact Us Email title",
			"desc" => "Enter the Email title",
			"id" => "con_email_title",
			"std" => "enter title ",
			"type" => "text"
		);
		$of_options[] = array( "name" => "Enter Contact Us Email logo",
			"desc" => "Upload Contact Us Email logo",
			"id" => "con_email_logo",
			"std" => "",
			"mod" => "min",
			"type" => "media"
		);

		$of_options[] = array(
			"name" => "Contact Us Email 1",
			"desc" => "Enter the Email 1",
			"id" => "con_email1",
			"std" => "enter Email   ",
			"type" => "text"
		);
		$of_options[] = array(
			"name" => "Contact Us Email 2",
			"desc" => "Enter the Email 2",
			"id" => "con_email2",
			"std" => "enter Email   ",
			"type" => "text"
		);


/* ------------------------------------------------------------------------ */
/* Autoresponder
/* ------------------------------------------------------------------------ */

$of_options[] = array( "name" => "Autoresponder","type" => "heading");

$of_options[] = array( "name" => "",
				"desc" => "",
				"id" => "Autoresponder_section",
				"std" => "Autoresponder",
				"icon" => false,
				"type" => "info");


$of_options[] = array( 
					"name" => "Subscribe label Text",
					"desc" => "Enter the main heading",
					"id" => "sub_email_head",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array( 
					"name" => "Email Placeholder",
					"desc" => "Enter the email Placeholder",
					"id" => "sub_email_place",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array( 
					"name" => "Submit Button Text",
					"desc" => "Enter the Button text",
					"id" => "sub_btn_txt",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array( 
					"name" => "Subscribe Form Description",
					"desc" => "Enter the form description",
					"id" => "sub_desc_txt",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array( "name" => "",
				"desc" => "",
				"id" => "Autoresponder_section",
				"std" => "Select Autoresponder",
				"icon" => false,
				"type" => "info");

$of_options[] = array( "name" => "Select your Autoresponder", 

                    "desc" => "", 

                    "id" => "autoresponder_type", 

                    "std" => "", 

                    "type" => "select", 

                    "options" => $autoresponder_list); 

                     

       
$of_options[] = array( "name" => "Or Use Copy Paste Autoresponder Code",
				"desc" => "",
				"id" => "copypaste",
				"std" => "Or Use Copy Paste Autoresponder Code",
				"icon" => false,
			"type" => "info");

                     



$of_options[] = array( "name" => "Enable Copy Paste Settings",
					"desc" => "<strong>Be careful:</strong> Page specific Settings get overwritten.",
					"id" => "enable_copyresponder",
					"std" => 0,
					"type" => "checkbox");

                     

$of_options[] = array(     "name"         => "Paste Your Copy-Paste Code here", 

                        "desc"         => "", 

                        "id"         => "copypaste_autoresponder", 

                        "std"         => "", 

                        "type"         => "textarea" 

                                                  

); 


		/* ------------------------------------------------------------------------ */
		/* Testimonial
        /* ------------------------------------------------------------------------ */
		$of_options[] = array( "name" => "Testimonial",
			"type" => "heading");


			$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Testimonials Heading",
			"icon" => false,
			"type" => "info"
		);

		$of_options[] = array(
			"name" => "Testimonial Main Tittle",
			"desc" => "Enter the Testimonial Main Tittle",
			"id" => "testimonial_main_title",
			"std" => "Enter title ",
			"type" => "text"
		);

		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "",
			"std" => "Testimonials Details",
			"icon" => false,
			"type" => "info"
		);

		$of_options[] = array( 	"name" 		=> "",

			"desc" => "Upload your Image (120x120px  )",
			"id" 		=> "pingu_testimonials",
			"std" 		=> "",
			"type" 		=> "slider"

		);




		/* ------------------------------------------------------------------------ */
		/* Our team
        /* ------------------------------------------------------------------------ */

		$of_options[] = array( "name" => "Our Team",
			"type" => "heading");

		$of_options[] = array( 	"name" 		=> "OUR Team",

			"desc" => "Upload your Image (768x620px ico/png)",
			"id" 		=> "pingu_team",
			"std" 		=> "",
			"type" 		=> "slider"

		);




		/* ------------------------------------------------------------------------ */
		/* Social media
        /* ------------------------------------------------------------------------ */
		$of_options[] = array( "name" => "Social media",
			"type" => "heading");

		$of_options[] = array(
			"name" => "Show Social Media Icons on Header and Footer",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "icon_header_footer",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array(
			"name" => "Show Facebook Icon on Header and Footer",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "fb_header_footer",
			"std" => 0,
			"type" => "checkbox"
		);

		$of_options[] = array(
			"name" => "Facebook Profile URL ",
			"desc" => "Enter Facebook url ",
			"id" => "fb_url",
			"std" => "Facebook URL",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Show Twitter Icon on Header and Footer",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "tw_header_footer",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "Twitter profile URL",
			"desc" => "Enter twitter URL ",
			"id" => "tw_url",
			"std" => "Twitter",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Show Instagram Icon on Header and Footer",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "ig_header_footer",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "Instagram profile URL ",
			"desc" => "Enter Instagram Url ",
			"id" => "ig_url",
			"std" => "Instagram",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Show Pinterest Icon on Header and Footer",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "pin_header_footer",
			"std" => 0,
			"type" => "checkbox"
		);
		$of_options[] = array(
			"name" => "Pinterest profile URL ",
			"desc" => "Enter Pinterest URl ",
			"id" => "pin_url",
			"std" => "Pinterest",
			"type" => "text"
		);

		$of_options[] = array(
			"name" => "Show Telegram Icon on Header and Footer",
			"desc" => "<strong>Be careful:</strong> if This is checked then display this Tools section.",
			"id" => "tel_header_footer",
			"std" => 0,
			"type" => "checkbox"
		);


		$of_options[] = array(
			"name" => "Telegram profile URL ",
			"desc" => "Enter Telegram URl ",
			"id" => "tel_url",
			"std" => "Telegram",
			"type" => "text"
		);










		$of_options[] = array( 	"name" 		=> "SEO  Option",
			"type" 		=> "heading",
			"icon"		=> "fa fa-user-plus"
		);




		$of_options[] = array( 	"name" 		=> "SEO For Meta Keyword",
			"desc" 		=> "SEO Meta Keywords",
			"id" 		=> "keyword_seo",
			"std" 		=> "",
			"type" 		=> "text"
		);

		$of_options[] = array( 	"name" 		=> "SEO For Meta Description",
			"desc" 		=> "SEO Meta Description",
			"id" 		=> "description_seo",
			"std" 		=> "",
			"type" 		=> "text"
		);

		$of_options[] = array( 	"name" 		=> "SEO Option HEAD Tag",
			"desc" 		=> "Usually Used To Enter Varification Code In Heading Tag",
			"id" 		=> "act_key",
			"std" 		=> "",
			"type" 		=> "textarea"
		);



		/* ------------------------------------------------------------------------ */
		/* Typography
        /* ------------------------------------------------------------------------ */
		$of_options[] = array( "name" => "Typography",
			"type" => "heading");

		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "general_heading",
			"std" => "Body",
			"icon" => false,
			"type" => "info");

		$of_options[] = array( "name" => "Body Text Font",
			"desc" => "Specify the Body font properties",
			"id" => "font_body",
			"std" => array('size' => '13px','face' => 'Helvetica','style' => 'normal','color' => '#444444'),
			"type" => "typography");

		$of_options[] = array( "name" => "",
			"desc" => "",
			"id" => "general_heading",
			"std" => "Headlines",
			"icon" => true,
			"type" => "info");

		$of_options[] = array( "name" => "H1 - Headline Font",
			"desc" => "Specify the H1 Headline font properties",
			"id" => "font_h1",
			"std" => array('size' => '28px','face' => 'Helvetica','style' => 'normal','color' => '#666666'),
			"type" => "typography");

		$of_options[] = array( "name" => "H2 - Headline Font",
			"desc" => "Specify the H2 Headline font properties",
			"id" => "font_h2",
			"std" => array('size' => '23px','face' => 'Helvetica','style' => 'normal','color' => '#666666'),
			"type" => "typography");

		$of_options[] = array( "name" => "H3 - Headline Font",
			"desc" => "Specify the H3 Headline font properties",
			"id" => "font_h3",
			"std" => array('size' => '18px','face' => 'Helvetica','style' => 'normal','color' => '#666666'),
			"type" => "typography");

		$of_options[] = array( "name" => "H4 - Headline Font",
			"desc" => "Specify the H4 Headline font properties",
			"id" => "font_h4",
			"std" => array('size' => '16px','face' => 'Helvetica','style' => 'normal','color' => '#666666'),
			"type" => "typography");

		$of_options[] = array( "name" => "H5 - Headline Font",
			"desc" => "Specify the H5 Headline font properties",
			"id" => "font_h5",
			"std" => array('size' => '15px','face' => 'Helvetica','style' => 'normal','color' => '#666666'),
			"type" => "typography");

		$of_options[] = array( "name" => "H6 - Headline Font",
			"desc" => "Specify the H6 Headline font properties",
			"id" => "font_h6",
			"std" => array('size' => '14px','face' => 'Helvetica','style' => 'normal','color' => '#666666'),
			"type" => "typography");


		$of_options[] = array( "name" => "P - Paragraph",
			"desc" => "Specify the Paragraph properties",
			"id" => "font_para",
			"std" => array('size' => '14px','style' => 'normal','color' => '#666666'),
			"type" => "typography");

			$of_options[] = array( "name" => "Slider Font",
			"desc" => "Specify the Slider properties",
			"id" => "font_slider",
			"std" => array('size' => '14px','face' => 'Yeseva One', 'cursive' => 'normal','color' => '#1d2e47'),
			"type" => "typography");

		$of_options[] = array( "name" => "Banner Title Font",
			"desc" => "Specify the Slider properties",
			"id" => "font_banner_footer",
			"std" => array('size' => '14px','face' => 'Helvetica','style' => 'normal','color' => '#0e073d'),
			"type" => "typography");

/* ------------------------------------------------------------------------ */
/* Styling
/* ------------------------------------------------------------------------ */
$of_options[] = array( "name" => "Styling",
					"type" => "heading");
					
/* ------------------------------------------------------------------------ */
					
$of_options[] = array( "name" => "",
					"desc" => "",
					"id" => "general_heading",
					"std" => "General",
					"icon" => false,
					"type" => "info");
					
$of_options[] = array( "name" => "Default body Background Color",
					"desc" => "Default: #fffff",
					"id" => "color_accent",
					"std" => "#fffff",
					"type" => "color"); 

$of_options[] = array( 	"name" 		=> "Primary Background Color",
						"desc" 		=> "Pick a Primary Background color for the theme ",
						"id" 		=> "primary_background",
						"std" 		=> "#ffccc2",
						"type" 		=> "color"
				);

$of_options[] = array( 	"name" 		=> "Secondary Background Color",
						"desc" 		=> "Pick a Secondary Background color for the theme ",
						"id" 		=> "secondary_background",
						"std" 		=> "#fe6347",
						"type" 		=> "color"
				);

 
 /* ------------------------------------------------------------------------ */
					
$of_options[] = array( "name" => "",
					"desc" => "",
					"id" => "general_heading",
					"std" => "Navigation",
					"icon" => false,
					"type" => "info");
					
$of_options[] = array( "name" => "Link Color",
					"desc" => "Default: #40457f",
					"id" => "font_nav",
					"std" => array('size' => '13px','style' => 'normal','color' => '#40457f'),
					"type" => "typography"); 
					
$of_options[] = array( "name" => "Link Hover Color",
					"desc" => "Default: #ff6f62",
					"id" => "color_navlinkhover",
					"std" => "#ff6f62",
					"type" => "color"); 
					
$of_options[] = array( "name" => "Link Active Color",
					"desc" => "Default: #ff6f62",
					"id" => "color_navlinkactive",
					"std" => "#ff6f62",
					"type" => "color"); 

$of_options[] = array( "name" => "Header-V1 Background Color",
					"desc" => "Default: #ffffff",
					"id" => "color_h1bgcolor",
					"std" => "#ffffff",
					"type" => "color"); 
					
$of_options[] = array( "name" => "Header-V2 Background Color",
					"desc" => "Default: #4a18c4",
					"id" => "color_hv2bgcolor",
					"std" => "#4a18c4",
					"type" => "color"); 
					
/* ------------------------------------------------------------------------ */
					
$of_options[] = array( "name" => "",
					"desc" => "",
					"id" => "general_heading",
					"std" => "Links",
					"icon" => false,
					"type" => "info");
					
$of_options[] = array( "name" => "Link Color",
					"desc" => "Default: #289dcc",
					"id" => "color_link",
					"std" => "#289dcc",
					"type" => "color"); 
					
$of_options[] = array( "name" => "Link Hover Color",
					"desc" => "Default: #666666",
					"id" => "color_hover",
					"std" => "#666666",
					"type" => "color"); 
					
/* ------------------------------------------------------------------------ */
					
/* ------------------------------------------------------------------------ */







		/* ------------------------------------------------------------------------ */
		/* Backup
        /* ------------------------------------------------------------------------ */


		$of_options[] = array( "name" => "Backup Options",
			"type" => "heading");

		$of_options[] = array( "name" => "Backup and Restore Options",
			"id" => "of_backup",
			"std" => "",
			"type" => "backup",
			"desc" => 'You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.',
		);

		$of_options[] = array( "name" => "Transfer Theme Options Data",
			"id" => "of_transfer",
			"std" => "",
			"type" => "transfer",
			"desc" => 'You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".
						',
		);








	}
}
?>
