<?php
// Template Name: template-contact

get_header();
global $data;
?>



<section class="mid_wrap">
    <?php if ($data['con_banner']==1){ ?>
    <style>
        .inner_h_title{ background:url(<?php echo $data['con_banner_img'] ; ?>) no-repeat center center; background-size:cover; min-height:280px; display:flex; align-items:center;}
        .inner_h_title .breadcrumb{ background:none; border-radius:0px; padding:0px; margin:0px;}
        .inner_h_title .breadcrumb li{ color:#0e073d; font-size:16px;}
        .inner_h_title .breadcrumb li a{ color:#0e073d;}
        .inner_h_title .breadcrumb-item + .breadcrumb-item::before{ content:"\f105"; font-family:'FontAwesome'; color:#0e073d;}
        .inner_h_title h1{ color:#0e073d;}

    </style>
        <div class="inner_h_title">
            <div class="container">
                <h1><?php echo $data['con_banner_main_title']; ?></h1>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item active" style="color:<?php  echo $data['breadfontcolor']; ?>;font-size:<?php echo $data['breadfontsize']; ?>px;font-weight:<?php echo $data['breadfontweight']; ?>;line-height:32px;"><span style="color:<?php echo $data['breadfontcolor']; ?>;" aria-current="page"><?php get_breadcrumbs(); ?>
                        </li>
                    </ol>
                </nav>

            </div>
        </div>
    <?php } ?>

    <div class="bx_all_wrap">
        <div class="container">
            <div class="row">

                <?php if ($data['con_form']==1){ ?>
                <div class="col-xl-5 col-lg-4 col-md-12">
                    <div class="">
                        <h2 class="mb-4"><?php echo $data['con_title']; ?></h2>
                        <p class="mb-4"><?php echo $data['con_desc']; ?></p>

                        <form class="contact_form">
                            <input name="name" id="name" type="text" class="form-control txt_f_1" placeholder="Name">
                            <input name="email" id="email" type="text" class="form-control txt_f_1" placeholder="Email">
                            <textarea name="message" id="msg" cols="" rows="" class="form-control txt_f_1 h115" placeholder="Message..."></textarea>
                            <input type="hidden" name="submitted" id="submitted" value="true" />
                            <input name="submit" type="submit" class="btn" value=" <?php echo $data['but_title']; ?>"><span id="success" ></span>

                        </form>


                    </div>


                </div>
                <?php } ?>

                <div class="col-xl-7 col-lg-8 col-md-12">
                    <?php if ($data['map_con']==1){ ?>
                        <div class="d-none d-sm-block mb-5 pb-4">
                            <div class="map_contact">
                                <div id="map" style="height:400px;background:gray;" ></div>
                            </div>
                            <script type="text/javascript" src="https://js.api.here.com/v3/3.0/mapsjs-core.js"></script>
                            <script type="text/javascript" src="https://js.api.here.com/v3/3.0/mapsjs-service.js"></script>
                            <script type="text/javascript" src="https://js.api.here.com/v3/3.0/mapsjs-ui.js"></script>
                            <script type="text/javascript" src="https://js.api.here.com/v3/3.0/mapsjs-mapevents.js"></script>

                            <script type="text/javascript">
                                function geocode(platform) {
                                    var geocoder = platform.getGeocodingService(),
                                        geocodingParameters = {
                                            searchText:"<?php echo $data['con_map'];  ?>",
                                            jsonattributes : 1
                                        };
                                    geocoder.geocode(
                                        geocodingParameters,
                                        onSuccess,
                                        onError
                                    );
                                }
                            </script>
                            <script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/map.js"></script>

                        </div>
                    <?php } ?>

                    <div class="contact_right row pt-2">
                        <div class="col-md-5">
                            <div class="c_bx text-center">
                                <i><img src="<?php echo $data['con_add_logo']; ?>" class="img-fluid"  alt="img"></i>
                                <h4><?php echo $data['con_add_title']; ?></h4>
                                <p class="m-0"><?php echo $data['con_add_desc']; ?></p>

                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="c_bx text-center">
                                <i><img src="<?php echo $data['con_mob_logo']; ?>" class="img-fluid"  alt="img"></i>
                                <h4><?php echo $data['con_mob_title']; ?></h4>
                                <p class="m-0"><?php echo $data['con_mob1_desc']; ?><?php echo $data['con_mob2_desc']; ?>
                                </p>

                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="c_bx text-center">
                                <i><img src="<?php echo $data['con_email_logo']; ?>" class="img-fluid"  alt="img"></i>
                                <h4>Email us</h4>
                                <p class="m-0"><?php echo $data['con_email1']; ?></p>
                                <p class="m-0"><?php echo $data['con_email2']; ?></p>

                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </div>


</section>
<?php get_footer(); ?>

<script type="text/javascript">
    $(document).ready(function(){

        $(".contact_form").on("submit",function(){

             event.preventDefault();
        $(".error").remove();
        
        if($("#email").val()==""){
            $('#email').after('<span class="error">This field is required</span>');
        }
        else
        {
        function isValidEmailAddress(emailAddress){
        var pattern = new RegExp(/^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/);
 
        return pattern.test(emailAddress);
        };
        
        if(!isValidEmailAddress($('#email').val())){
            
               $('#email').after('<span class="error">Enter a valid email</span>');
            
        }
        }
        
        
        if($("#name").val()==""){
            $('#name').after('<span class="error">This field is required</span>');
        }
        else{
        function isValidName(name1){
            var patt = new RegExp(/^[a-zA-Z ]{2,30}$/);
            return patt.test(name1);
        }
        
        if(!isValidName($('#name').val())){
            $('#name').after('<span class="error">Enter a valid name</span>');
        }
        }
        
        
        if($("#msg").val()==""){
            $('#msg').after('<span class="error">This field is required</span>');
        }
        
        var email = $("#email").val();
        var name = $('#name').val();
        var msg = $("#msg").val();

                $.ajax({


                    type: "POST",

                    url: '<?php echo admin_url('admin-ajax.php'); ?>',

                    data: { 
                        'action': 'send_mail',
                        'name' : name,
                        'email' : email,
                        'msg' : msg
                    },
                    cache: false,

                    success:function(text){

                        $('#submit').after($("#success").html(text));

                    },
                     error: function(errorThrown){
                        console.log(errorThrown);
                    }

                });
            
        });


    });
</script>

